var canvas, r, V, x;

/**
 * Fonction exécutée une fois, au départ
 */
function actions_initiales() {
  definirPageWebExecution('');
  fixeContenuPrudent("(select('#'+'auteur'))",(select('#'+'auteur')),'Professeur');
  siClicPrudent("(select('#'+'calculV'))",(select('#'+'calculV')),"calcul_du_volume",calcul_du_volume);
  siRetourPrudent("(select('#'+'r'))",(select('#'+'r')),"calcul_du_volume",calcul_du_volume);
  siClicPrudent("(select('#'+'calculR'))",(select('#'+'calculR')),"calcul_du_rayon",calcul_du_rayon);
  siRetourPrudent("(select('#'+'V'))",(select('#'+'V')),"calcul_du_rayon",calcul_du_rayon);
}

/**
 * Fonction exécutée périodiquement, de façon répétée
 */
function actions_en_boucle() {
}

/**
 * Décrire cette fonction…
 */
function calcul_du_volume() {
  r = valeurPrudent("(select('#'+'r'))",(select('#'+'r')));
  V = calcul_de_V__C3_A0_partir_de_r(r);
  fixeValeurPrudent("(select('#'+'V'))",(select('#'+'V')),V);
}

/**
 * Décrire cette fonction…
 */
function calcul_du_rayon() {
  V = valeurPrudent("(select('#'+'V'))",(select('#'+'V')));
  r = calcul_de_r__C3_A0_partir_de_V(V);
  fixeValeurPrudent("(select('#'+'r'))",(select('#'+'r')),r);
}

/**
 * Décrire cette fonction…
 */
function calcul_de_V__C3_A0_partir_de_r(r) {
  V = (4 / 3) * Math.PI * Math.pow(r, 3);
  return V;
}

/**
 * Décrire cette fonction…
 */
function calcul_de_r__C3_A0_partir_de_V(V) {
  r = Math.pow((0.75 / Math.PI) * V, 1 / 3);
  return r;
}
